{% extends "base.html" %}


{% block content %}
<div class="content-section">
    <form method="POST" action="">
        {{ form.hidden_tag() }}
        <fieldset class="form-group">
            <legend class="border-bottom mb-4">Log In</legend>
            <div class="form-group col-md-7">
 {{ form.username.label(class="form-control-label") }}
        <!-- <p>{{ form.username(size=32) }}</p> -->
        <!-- {% for error in form.username.errors %}
            <span class=""style="color: red;">{{ error }}</span>
        {% endfor %} -->
        {% if form.username.errors %}
                        {{ form.username(class="form-control form-control-lg is-invalid col-md-7") }}
                        <div class="invalid-feedback">
                            {% for error in form.username.errors %}
                                <span>{{ error }}</span>
                            {% endfor %}
                        </div>
                    {% else %}
                        {{ form.username(class="form-control form-control-lg col-md-7") }}
                    {% endif %}
    </div>
    <div class="form-group col-md-7">
        {{ form.password.label(class="form-control-label ") }}
        <!-- <p>{{ form.password(size=32) }}</p> -->
        <!-- {% for error in form.password.errors %}
            <span class=""style="color: red;">{{ error }}</span>
        {% endfor %} -->
        {% if form.password.errors %}
                        {{ form.password(class="form-control form-control-lg is-invalid col-md-7") }}
                        <div class="invalid-feedback">
                            {% for error in form.password.errors %}
                                <span>{{ error }}</span>
                            {% endfor %}
                        </div>
                    {% else %}
                        {{ form.password(class="form-control form-control-lg col-md-7") }}
                    {% endif %}
    </div>
    <div class="form-group form-check">
        {{ form.remember_me(class="form-check-input") }}
        {{ form.remember_me.label(class="form-check-label") }}
        <div class="form-group mt-5">
            {{ form.submit(class="btn btn-outline-info") }}
        </div>
  </form>
  <div class="border-top pt-3">
    <small class="text-muted">
        Need An Account? <a class="ml-2" href="{{ url_for('register') }}">Sign Up Now</a>
    </small>
</div>
</div>
{% endblock %}